/* MySmartCollection */

#import <Cocoa/Cocoa.h>
@class MyFieldsControllerShared, MOCollection;

@interface MySmartCollection : NSObject
{
	IBOutlet NSPanel *smartPanel;

	IBOutlet NSBox *boxView;
	IBOutlet NSPopUpButton *smartLogicPop;
	
	int tagValue;
	
	NSMutableArray *possibleFields;
	MyFieldsControllerShared *fieldsController;
}

- (NSPredicate *)createNewList:(MOCollection *)editCollection;

- (IBAction)okClicked:(id)sender;
- (IBAction)noClicked:(id)sender;

- (IBAction)addNewLine:(id)sender;
- (NSView *)lineView:(NSString *)setField comparisonIndex:(int)indexOfComparisonType value:(id)fieldValue;
- (IBAction)fieldChanging:(id)sender;

+ (NSPredicate *)predicateFor:(id)valueObject field:(NSString *)fieldIdentifier fieldType:(int)typeOfFieldSelected position:(int)typePosition;


@end
